com.r3corda.node.services.messaging / ArtemisMessagingServer

# ArtemisMessagingServer

`class ArtemisMessagingServer : ArtemisMessagingComponent`

This class configures and manages an Apache Artemis message queue broker.

Nodes communication is managed using an Artemis specific protocol, but it supports other protocols like AMQP/1.0 as well for interop.

The current implementation is skeletal and lacks features like security or firewall tunnelling (that is, you must be able to receive TCP connections in order to receive messages). It is good enough for local communication within a fully connected network, trusted network or on localhost.

### Constructors

<init> | `ArtemisMessagingServer(config: NodeConfiguration, myHostPort: <ERROR CLASS>, networkMapCache: NetworkMapCache)` This class configures and manages an Apache Artemis message queue broker.

### Properties

myHostPort | `val myHostPort: <ERROR CLASS>`
networkMapCache | `val networkMapCache: NetworkMapCache`

### Inherited Properties

config | `val config: NodeSSLConfiguration`

### Functions

bridgeToNetworkMapService | `fun bridgeToNetworkMapService(networkMapService: SingleMessageRecipient?): Unit`
start | `fun start(): Unit`
stop | `fun stop(): Unit`

### Inherited Functions

checkStorePasswords | `fun checkStorePasswords(): Unit` Returns nothing if the keystore was opened OK or throws if not. Useful to check the password, as unfortunately Artemis tends to bury the exception when the password is wrong.
configureWithDevSSLCertificate | `fun configureWithDevSSLCertificate(): Unit`
parseKeyFromQueueName | `fun parseKeyFromQueueName(name: String): PublicKey`
tcpTransport | `fun tcpTransport(direction: ConnectionDirection, host: String, port: Int): <ERROR CLASS>`

### Companion Object Properties

log | `val log: <ERROR CLASS>`